  /*================================================================================================*/
  
    * { box-sizing:border-box; }
    html { height: 100%; overflow:auto; margin:0; padding:0; }
    body { height: 100%; margin:0; padding:0; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:11px; color:#333333; text-decoration:none; }
    div { position:relative; vertical-align:top; }
    a { text-decoration:none;  color: #333333; vertical-align:middle; }
    
    input[type=number]::-webkit-inner-spin-button { -webkit-appearance: none; margin: 0; }
    input[type=number]::-webkit-outer-spin-button { -webkit-appearance: none; margin: 0; }
    
    .blue { background-color: #EDF3FE; }
    .selected { background-color: #3D80DF; }

    /* Application Framework*/
    .a-left { width:0px; }
    .a-right { width:0px; }

    /* Application */
    .a { height:100%; }

    /* Application Header */
    .ah { height:25px; border-bottom:solid #666666 1px; padding-top:6px; font-weight:bold; text-align:center; background-image:url(../images/dlg_top_center_10.gif); }
    
    /* Application Menu */
    .am { height:25px; background-color: #cccccc; }
    
    /* Application Body */
    .ab { height: calc(100% - 73px); background-color: #cccccc; }

    /* Application Footer */
    .af { height:24px; padding-top:6px; font-weight: bold; text-align:right; background-image:url(../images/dlg_bottom_center_10.gif); }
    .application-status { font-weight:normal; color:#3399ff; text-align:right; padding: 3px 5px 0px 0px; }

    /* Application Navigation and Section */
    nav { position:relative; float:left; height:100%; width: 345px; margin-left: -345px; transition: margin-left 0.3s; background-color:#FFFFFF; z-index: 2; }
    .nav-open { margin-left: 0px; transition: margin-left 0.3s; }
    section { position:relative; height:100%; }

    /* Application Panel */
    .ap { position:relative; height:100%; border-top: solid 1px #939393; border-bottom: solid 1px #F0F0F0; vertical-align: top; }

    /* Application Navigation Collection Header, body and link */
    .anch { text-align: center; height: 20px; border-top: solid 1px #939393; padding-top: 2px; padding-left: 0px; background-image:url("../images/list_title_10.jpg");  background-size:20px 20px; vertical-align: middle; }
    .anch-left { position:absolute; left:0; top:0; width:20px; }
    .anch-center { margin-left:20px; margin-right:20px; }
    .anch-right { position:absolute; right:0; top:0; width:20px; padding: 2px; }

    .ancb { display: block; }

    .anl { display:block; height: 17px; width:100%; padding-top: 1px; padding-left: 3px; }
    .anl:hover { background-image:url("../images/list_header_selected_100.gif"); }

    /* Dialog */
    .dialog-panel { display: inline-block; width: 100%; padding: 10px; background-color: #ddd; border: solid 1px #7F9DB9; border-radius: 10px; }
    .dialog-panel-mb { margin-bottom: 10px; }
    .dialog-column { display: block; margin-right: 10px; margin-bottom: 10px; }

    /* Section */ 
    .section { position:absolute; top:0px; left:0px; width:100%; height:100%; }
    
    /* Section Heading */ 
    .section-heading { height:27px; font-weight: bold; text-align: left; text-decoration: none; padding: 6px 10px 1px 10px; background-image: url("../images/list_menu_10.gif"); border-bottom:solid #666666 1px; }
    .section-title { float:left; }
    .section-navigation { float:right; }

    /* Section Filter */ 
    .section-filter { background-color: #E1E1E1; margin: 0px; padding: 10px 0px 5px 10px; border-width: 0px; min-height:40px; }
    .sfi-container { display:none; margin: 0px 5px 5px 0px; }
    .sfi-display-fixed { display:inline-block; }
    .sfi-title { margin-left: 2px; font-size: 10px; font-weight:bold; color: #333333; text-decoration: none; }
    .sfi-element { display: inline-block; width: 160px; padding: 4px 6px; border: 1px solid #ccc; border-radius: 4px; font-size:11px; }
    .sfi-element:focus  { outline: none; background-color: lightblue; }

    /* Section Filter Action Buttons */
    .filter-action-button { margin: 15px 5px 5px 0px; border:none; width:60px; height:20px; background-image:url('../images/ib_filter_action.png'); background-size:60px 20px; overflow-y: hidden; padding: 0px; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:11px; text-align: center; }
    .filter-action-button:focus { outline: none; background-image:url('../images/ib_filter_action_sel.png'); }

    /* Section Menu */ 
    .section-menu { height: 30px; padding: 5px 0px 0px 10px; background-image: url("../images/list_menu_10.gif");  background-size:10px 30px;}
    .section-menu-button { display:inline-block; width:80px; margin: 0px 5px 5px 0px; }
    .smb-input { border:none; width:80px; height:20px; background-image:url('../images/ib_menu.png'); background-size:80px 20px; background-repeat: no-repeat; overflow-y: hidden; padding: 0px; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:11px; text-align: center; }
    .smb-input:focus { outline: none; background-image:url('../images/ib_menu_sel.png'); }

    /* Table */ 
    .table { position:relative; height:calc(100% - 210px); border-top: solid 1px #939393; border-bottom: solid 1px #F0F0F0; vertical-align: top; }

    /* Table Header */ 
    .table-header { height: 20px; display: flex; background-image: url("../images/list_header_10.gif"); }
    .table-header div { padding: 3px 5px 3px 5px; border-right: 1px solid lightgrey; }
    .table-header div:hover { background-image: url("../images/list_header_selected_10.gif"); }

    /* Table Body */ 
    .table-body { position:relative; z-index:0; overflow-x:hidden; overflow-y:hidden; background-color:#fff;  height:calc(100% - 40px);}

    /* Table Row */ 
    .table-row { display: flex; }
    .table-row div { padding: 10px 5px 10px 5px; border-right: 1px solid lightgrey; }

    /* Record Summary */ 
    .record-summary-panel { background-color: #E1E1E1; padding-top: 10px; padding-bottom: 10px; padding-right: 10px; border-width: 0px; }

    .rsp-item { display:none; vertical-align:top; width:350px; margin-left:10px; }
    .rsp-item-display-fixed { display:inline-block; }
    .rsp-item-display-ib { display:inline-block; }

    .rsp-item-label { display:inline-block; vertical-align:top; width:100px; font-weight:bold; }
    .rsp-item-element { display:inline-block; width:240px; padding-left:10px; }

    /* Record Tab Bar */ 
    .dialog-tab-bar { height:25px; border-bottom: solid 1px #939393; background-color: #cccccc; }
    .dtb-tab { display:inline-block; height:25px; width:100px; padding-top:3px; text-align:center; background-color: #cccccc; border-top: solid 1px #939393; border-right: solid 1px #939393; border-bottom: solid 1px #939393; }
    .dtb-tab-sel { background-color: #999999; }

    /* Record Body */ 
    .record-body { position:relative; z-index:0; overflow-x:hidden; overflow-y:hidden; }
    .record-tab { position:absolute; padding: 10px 0px 0px 10px; background-color:#cccccc; height:100%; width:100%; z-index:0; overflow-x:hidden; overflow-y:hidden; visibility:visible; }
    .record-panel-footer { background-color:#CCCCCC; height:30px; padding-bottom: 10px; padding-right: 10px; text-align: right; }
      
    /* Form */
    .input { display: block; padding-bottom: 5px; }
    .input-label { display: inline-block; width:25%; text-align: left;}
    .input-element { display: inline-block; width: 75%; text-align: left; }
    .input-select { display: inline-block; margin-left: 5px; margin-top: 10px; text-align: left;}
    .form-input { display: inline-block; width: 100%; padding: 8px 12px; border: 1px solid #ccc; border-radius: 4px; font-family: Verdana, Arial, Helvetica, sans-serif; font-size:11px; }
    .form-input:focus  { outline: none; background-color: lightblue; }
    .fi-invalid { outline: none; background-color: #F4C2C2 }
    .form-error-message { color: #FF0000; }
    .fi-currency { width: 100px; float:right; text-align: right; }

    /* Action Buttons */
    .action-button { margin-left: 10px; border:none; width:60px; height:20px; background-image:url('../images/ib_action.png'); background-size:60px 20px; overflow-y: hidden; padding: 0px; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:11px; text-align: center; }
    .action-button:focus { outline: none; background-image:url('../images/ib_action_sel.png'); }

    /* Record Dialog */ 
    .record-dialog { position:absolute; left:0px; top:200px; z-index:-1; width: 100%; }

    /*================================================================================================*/

    @media only screen and (max-width:767px) {

      #financeCompanyTable  { overflow-x: auto; }
      #financeCompanyTableHeader { width:830px; }
      #financeCompanyTableBody { width:830px; }
    
    }

    /*================================================================================================*/

    @media only screen and (min-width:768px) and (max-width:1280px) {

      html, body { font-size:18px; }

      /* Application Header */
      .ah { height:40px; background-size:10px 39px; }

      /* Application Menu */ 
      .am { min-height:40px; }

      .application-menu-button { margin-top:2px; }
      .amb-input { border:none; width:120px; height:30px; background-image:url('../images/ib_application_menu.png'); background-size:120px 30px; background-repeat: no-repeat; overflow-y: hidden; padding: 0px; font-family:Verdana, Arial, Helvetica, sans-serif; font-size:18px; text-align: center; }
      .amb-input:focus { outline: none; background-image:url('../images/ib_application_menu_sel.png'); }

      /* Application Body */
      .ab { height: calc(100% - 120px); }

      /* Application Footer */
      .af { height:40px; padding-top:10px; background-size:10px 40px; }
              
      /* Sidebar Menu */
      .anch { height: 25px; padding-top: 2px; background-size:10px 25px; }
      .anch-right { padding: 0px; height: 25px; width: 25px; }
      .menu-action-button-more { width:21px; height:21px; background-size:21px 21px; font-size:11px; vertical-align: middle; }
      .anl { height: 25px; width:100%; padding-top: 2px; padding-left: 10px; }

      /* Section Heading*/ 
      .section-heading { padding-top:10px; height:40px; background-size:10px 40px; }
      
      /* Section Filter */ 
      .sfi-title { margin-left: 3px; font-size:17px; }
      .sfi-element { width: 240px; padding: 6px 9px; border-radius: 6px; font-size:18px; }

      /* Section Filter Action Buttons */
      .filter-action-button { width:90px; height:30px; margin-top: 24px; background-size:90px 30px; font-size:18px; }
      .filter-action-button:focus { outline: none; }
        
      /* Section Menu*/ 
      .section-menu { height:40px; background-size:10px 40px; }
      .section-menu-button { width:120px; }
      .smb-input { width:120px; height:30px; background-image:url('../images/ib_menu.png'); background-size:120px 30px; font-size:18px; }

      /* Table Header*/ 
      .table-header { height: 30px; background-size:30px 15px; }
      .table-header p { margin: 4px 5px 4px 5px; }

      /* Table Body */ 
      .table-body { overflow-x:auto; overflow-y:auto;  height:calc(100% - 30px);}

      /* Table Row */ 
      .table-row p { font-size:18px;}
      
      /* Record Body */ 
      .record-body { height: 100%; margin-bottom: 10px; overflow-y:auto;}
      .record-tab { overflow-y:auto; }
      .record-panel-footer { height:40px; padding: 0px 10px 10px 0px; }

      /* Record Summary */ 
      .rsp-item { width:780px; }
      .rsp-item-label { width:200px; }
      .rsp-item-element { width:570px; }

      /* Action Buttons */
      .action-button { width:90px; height:30px; background-size:90px 30px; font-size:18px; }
      .action-button:focus { outline: none; }
    }

    /*================================================================================================*/

    @media only screen and (min-width:1281px) {
      
      /* Application Framework*/
      .a-left { width:10px; height:100%; position:absolute; left:0; top:0; }
      .a-left-top { height:25px; border-bottom: solid #666666 1px; background-image:url(../images/dlg_top_left_10.gif); } 
      .a-left-center { height:calc(100% - 48px); background-image:url(../images/dlg_left_10.gif); } 
      .a-left-bottom { height:25px; background-image:url(../images/dlg_bottom_left_10.gif); } 
      .a-right { width:10px; height:100%; position:absolute; right:0; top:0; }
      .a-right-top { height:25px; border-bottom: solid #666666 1px; background-image:url(../images/dlg_top_right_10.gif); } 
      .a-right-center { height:calc(100% - 48px); background-image:url(../images/dlg_right_10.gif); } 
      .a-right-bottom { height:25px; background-image:url(../images/dlg_bottom_right_10.gif); } 

      /* Application Header */
      .ah { margin-left:10px; margin-right:10px; }

      /* Application Menu */
      .am { margin-left:10px; margin-right:10px; }

      /* Application Body */
      .ab { margin-left:10px; margin-right:10px; }
      
      /* Application Footer */
      .af { margin-left:10px; margin-right:10px; }

      /* Application Navigation and Section */
      nav { width:200px; margin-left:0px; }
      section { margin-left:210px; }
      
      /* Application Panel */
      .ap { border-left: solid 1px #E0E0E0; border-right: solid 1px #E0E0E0; }
      
      /* Dialog */
      .dialog { width: 400px; margin: 0px; }
      .dialog-column { display: inline-block; width: 500px; }
      .dialog-column-1000 { width: 1000px; }
      .dialog-column-1200 { width: 1200px; }

      /* Table */ 
      .table { height: calc(100% - 115px); border-left: solid 1px #E0E0E0; border-right: solid 1px #E0E0E0; }

      /* Table Body */ 
      .table-body { height: calc(100% - 20px); overflow-x:auto; overflow-y:auto; }
      
      /* Record Body */ 
      .record-body { height: 100%; margin_bottom: 10px; overflow-y:auto; height: calc(100% - 110px);}
      .record-tab { overflow-y:auto; }
      .record-panel-footer { text-align: left; }
  
      /* Record Dialog */ 
      .record-dialog { left:60px; }
    }

    /*================================================================================================*/